/*
 * gfx.h: Interface to the graphics/compute engine.
 * Part of Storming Ions (a screensaver).
 * Copyright (C) 2007 W. Ross Younger.
 * See the included file "COPYING" for licensing information.
 */

#ifndef _GFX_H
#define _GFX_H

#include <windows.h>
#include <math.h>

int ss_setup(HDC hdc, RECT rect);
void ss_frame(HDC hdc, RECT rect);
void ss_cleanup(void);

enum { MODE_BLACK=101, MODE_WHITE, MODE_PEN };

typedef enum render_type { R_AZIMUTHAL, R_AZIMUTHAL_FILL_X, R_AZIMUTHAL_FILL_Y, R_AZIMUTHAL_DEBUG, R_CONFORMAL, R_CONFORMAL_ALL, R_CONFORMAL_DEBUG } render_type;

#endif
